import Layout from '@/layout'

export default [ // 所有的默认公有路由
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: () => import('@/views/redirect')
      }
    ]
  },
  {
    path: '/login',
    component: () => import('@/views/login'),
    hidden: true
  },
  {
    path: '/404',
    component: () => import('@/views/404'),
    hidden: true,
    meta: { title: '404' }
  },
  {
    path: '/1',
    component: () => import('@/views/DataScreen1'),
    hidden: true,
    meta: { title: '实时报名数据' }
  },
  {
    path: '/2',
    component: () => import('@/views/DataScreen2'),
    hidden: true,
    meta: { title: '实时报名数据移动版' }
  },
  {
    path: '/3',
    component: () => import('@/views/DataScreen3'),
    hidden: true,
    meta: { title: '实时销售数据' }
  },
  {
    path: '/4',
    component: () => import('@/views/DataScreen4'),
    hidden: true,
    meta: { title: '实时销售数据移动版' }
  },
  {
    path: '/',
    component: Layout,
    redirect: '/index',
    name: 'Index',
    children: [
      {
        path: 'index',
        component: () => import('@/views/Tongji'),
        name: 'Dashboard',
        meta: { title: '首页', icon: 'index', affix: true }
      }
    ]
  },
  {
    path: '/resetpsw',
    component: Layout,
    redirect: '/resetpsw/index',
    hidden: true,
    children: [
      {
        path: 'index',
        component: () => import('@/views/resetpsw'),
        name: 'Resetpsw',
        meta: { title: '修改密码', icon: '', noCache: true }
      }
    ]
  },
  {
    path: '/zbsuserindex',
    component: Layout,
    redirect: '/zbsuserindex/index',
    hidden: true,
    children: [
      {
        path: 'index',
        component: () => import('@/views/UserIndex'),
        name: 'ZbsUserIndex',
        meta: { title: '用户主页', icon: '', noCache: true, activeMenu: '/zbsusermanage/index' }
      }
    ]
  }
]
