import Vue from 'vue'
import Router from 'vue-router'
import Layout from '@/layout'
import allConstRoutes from './allConstRoutes'
export const constantRoutes = allConstRoutes

Vue.use(Router)

export const asyncRoutes = [ // 异步加载路由
  // {
  //   path: '/datascreen',
  //   component: Layout,
  //   redirect: '/datascreen/',
  //   children: [
  //     {
  //       path: '',
  //       component: () => import('@/views/DataScreen1'),
  //       name: 'DataScreen1',
  //       meta: { title: '报名数据', icon: '数据大屏' }
  //     }
  //   ]
  // },
  {
    path: '/zbshisseason',
    component: Layout,
    redirect: '/zbshisseason/index',
    name: 'zbshisseason',
    children: [
      {
        path: 'index',
        component: () => import('@/views/HisSeason'),
        name: 'ZbsHisSeason',
        meta: { title: '历史赛季', icon: 'hisSeason' }
      }
    ]
  },
  {
    path: '/zbsusermanage',
    component: Layout,
    redirect: '/zbsusermanage/index',
    name: 'zbsusermanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/UserManage'),
        name: 'ZbsUserManage',
        meta: { title: '用户管理', icon: 'user' }
      }
    ]
  },
  {
    path: '/zbssignupmanage',
    component: Layout,
    redirect: '/zbssignupmanage/index',
    name: 'zbssignupmanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/SignupManage'),
        name: 'ZbsSignupManage',
        meta: { title: '报名管理', icon: 'signup' }
      }
    ]
  },
  {
    path: '/zbsrank',
    component: Layout,
    redirect: '/zbsrank/index',
    name: 'zbsrank',
    children: [
      {
        path: 'index',
        component: () => import('@/views/Rank'),
        name: 'ZbsRank',
        meta: { title: '排行榜', icon: 'rank' }
      }
    ]
  },
  {
    path: '/zbsuploadmanage',
    component: Layout,
    redirect: '/zbsuploadmanage/index',
    name: 'zbsuploadmanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/UploadManage'),
        name: 'ZbsUploadManage',
        meta: { title: '上传管理', icon: 'upload' }
      }
    ]
  },
  {
    path: '/zbsordermanage',
    component: Layout,
    redirect: '/zbsordermanage/index',
    name: 'zbsordermanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/OrderManage'),
        name: 'ZbsOrderManage',
        meta: { title: '兑换管理', icon: 'exchange' }
      }
    ]
  },
  {
    path: '/zbsteammanage',
    component: Layout,
    redirect: '/zbsteammanage/index',
    name: 'zbsteammanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/TeamManage'),
        name: 'ZbsTeamManage',
        meta: { title: '团队明细', icon: 'team' }
      }
    ]
  },
  {
    path: '/zbsscoremanage',
    component: Layout,
    redirect: '/zbsscoremanage/index',
    name: 'zbsscoremanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/ScoreManage'),
        name: 'ZbsScoreManage',
        meta: { title: '学分明细', icon: 'score' }
      }
    ]
  },
  {
    path: '/zbsglorymanage',
    component: Layout,
    redirect: '/zbsglorymanage/index',
    name: 'zbsglorymanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/GloryManage'),
        name: 'ZbsGloryManage',
        meta: { title: '荣誉明细', icon: 'glory' }
      }
    ]
  },
  {
    path: '/zbsbonusmanage',
    component: Layout,
    redirect: '/zbsbonusmanage/index',
    name: 'zbsbonusmanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/BonusManage'),
        name: 'ZbsBonusManage',
        meta: { title: '奖励金明细', icon: 'bonus' }
      }
    ]
  },
  {
    path: '/examine',
    component: Layout,
    redirect: '/examine/index',
    name: 'examine',
    children: [
      {
        path: 'index',
        component: () => import('@/views/Examine'),
        name: 'Examine',
        meta: { title: '人工审核', icon: 'examine' }
      }
    ]
  },
  {
    path: '/warinfomanage',
    component: Layout,
    redirect: '/warinfomanage/index',
    name: 'warinfomanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/WarInfoManage'),
        name: 'WarInfoManage',
        meta: { title: '战区管理', icon: 'service' }
      }
    ]
  },
  {
    path: '/zbsgiftmanage',
    component: Layout,
    redirect: '/zbsgiftmanage/index',
    name: 'zbsgiftmanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/GiftManage'),
        name: 'ZbsGiftManage',
        meta: { title: '礼品管理', icon: 'goodsmanage' }
      }
    ]
  },
  {
    path: '/zbsChallenge',
    component: Layout,
    redirect: '/zbsChallenge/index',
    name: 'zbsChallenge',
    children: [
      {
        path: 'index',
        component: () => import('@/views/Challenge'),
        name: 'zbsChallengeIndex',
        meta: { title: '挑战管理', icon: 'goodsmanage' }
      }
    ]
  },
  {
    path: '/zbsseasonset',
    component: Layout,
    redirect: '/zbsseasonset/index',
    name: 'zbsseasonset',
    children: [
      {
        path: 'index',
        component: () => import('@/views/SeasonSet'),
        name: 'ZbsSeasonSet',
        meta: { title: '赛季设置', icon: 'systemsettings', noCache: true }
      }
    ]
  },
  {
    path: '/permission',
    component: Layout,
    redirect: '/permission/index',
    name: 'Permission',
    children: [
      {
        path: 'index',
        component: () => import('@/views/role'),
        name: 'RolePermission',
        meta: { title: '角色管理', icon: 'peoples' }
      }
    ]
  },
  { path: '*', redirect: '/404', hidden: true }
]

const createRouter = () => new Router({
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})

const router = createRouter()

export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher // reset router
}

export default router
