import { asyncRoutes, constantRoutes } from '@/router'
import rootRoutes from '@/router/rootRoutes'

const state = {
  routes: [],
  addRoutes: []
}

const mutations = {
  SET_ROUTES: (state, routes) => {
    state.addRoutes = routes
    state.routes = constantRoutes.concat(routes)
  }
}

const actions = {
  generateRoutes({ commit }, routes) {
    return new Promise(resolve => {
      let accessedRoutes = []
      if (routes.includes('admin') || routes.includes('root')) {
        accessedRoutes = asyncRoutes
        if (routes.includes('root')) {
          accessedRoutes.splice(accessedRoutes.length - 1, 0, ...rootRoutes)
        }
      } else {
        asyncRoutes.forEach(e => {
          routes.forEach(r => {
            if (r.name === e.name) {
              r.component = e.component
            }
            if (e.children && r.children) {
              e.children.forEach(ec => {
                r.children.forEach(rc => {
                  if (ec.name === rc.name) {
                    rc.component = ec.component
                  }
                })
              })
            }
          })
        })
        routes.push({ path: '*', redirect: '/404', hidden: true })
        accessedRoutes = routes
      }
      commit('SET_ROUTES', accessedRoutes)
      resolve(accessedRoutes)
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
